# PIP: src/core/pistring.h File Reference

pistring.h File Reference

String. More...

## Classes

class | PIString
| String class. More...
class | PIStringList
| Strings array class. More...

## Functions

std::ostream & | operator<< (std::ostream &s, const PIString &v)
| Output operator to std::ostream (cout)
std::istream & | operator>> (std::istream &s, PIString &v)
| Input operator from std::istream (cin)
PICout | operator<< (PICout s, const PIString &v)
| Output operator to PICout.
PIByteArray & | operator<< (PIByteArray &s, const PIString &v)
| Output operator to PIByteArray.
PIByteArray & | operator>> (PIByteArray &s, PIString &v)
| Input operator from PIByteArray.
PIString | operator+ (const PIString &str, const PIString &f)
| Return concatenated string.
PIString | operator+ (const PIString &f, const char *str)
| Return concatenated string.
PIString | operator+ (const PIString &f, const std::string &str)
| Return concatenated string.
PIString | operator+ (const char *str, const PIString &f)
| Return concatenated string.
PIString | operator+ (const std::string &str, const PIString &f)
| Return concatenated string.
PIByteArray & | operator<< (PIByteArray &s, const PIStringList &v)
| Output operator to PIByteArray.
PIByteArray & | operator>> (PIByteArray &s, PIStringList &v)
| Input operator from PIByteArray.
std::ostream & | operator<< (std::ostream &s, const PIStringList &v)
| Output operator to std::ostream (cout)
PICout | operator<< (PICout s, const PIStringList &v)
| Output operator to PICout.

## Detailed Description

String.

This file declare string and string list classes